# Class RemoteAddrFilter

java.lang.Object
org.apache.catalina.filters.FilterBase
org.apache.catalina.filters.RequestFilter
org.apache.catalina.filters.RemoteAddrFilter

All Implemented Interfaces:
  `Filter`

@Deprecated public final class RemoteAddrFilter extends RequestFilter
Deprecated.
This Filter will be removed in Tomcat 12 onwards. Use `RemoteCIDRFilter` instead.
Concrete implementation of `RequestFilter` that filters based on the string representation of the remote client's IP address.

## Field Summary

### Fields inherited from class RequestFilter

`allow, deny, denyStatus`

### Fields inherited from class FilterBase

`sm`

## Constructor Summary

Constructors
Constructor
Description
`RemoteAddrFilter()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(ServletRequest request, ServletResponse response, FilterChain chain)`
Deprecated.
Extract the desired request property, and pass it (along with the specified request and response objects and associated filter chain) to the protected `process()` method to perform the actual filtering.
`protected Log`
`getLogger()`
Deprecated.
Returns the logger for this filter.

### Methods inherited from class RequestFilter

`getAllow, getDeny, getDenyStatus, isConfigProblemFatal, process, setAllow, setDeny, setDenyStatus`

### Methods inherited from class FilterBase

`init`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Filter

`destroy`

## Constructor Details

### RemoteAddrFilter

public RemoteAddrFilter()
Deprecated.

## Method Details

### doFilter

public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException
Deprecated.
Extract the desired request property, and pass it (along with the specified request and response objects and associated filter chain) to the protected `process()` method to perform the actual filtering.

Specified by:
  `doFilter` in interface `Filter`
Specified by:
  `doFilter` in class `RequestFilter`
Parameters:
  `request` - The servlet request to be processed
  `response` - The servlet response to be created
  `chain` - The filter chain for this request
Throws:
  `IOException` - if an input/output error occurs
  `ServletException` - if a servlet error occurs

### getLogger

protected Log getLogger()
Deprecated.
Description copied from class: `FilterBase`
Returns the logger for this filter.

Specified by:
  `getLogger` in class `FilterBase`
Returns:
  the logger